//******************************************
//  : MQ6801_Flash.h
// 汾     : V1.1 02/24/2021 MQ6801
//      : Flashͷļ
// ע		***ȷFLASHʽִǰоƬϵ硢λ
//******************************************
#ifndef _MQ6801_FLASH_H__
#define _MQ6801_FLASH_H__
//==============================================================================
//ʽ  :Flash_WriteByte 
//شֵ    :0:дɹ  1:дʧ<дԤֵͬ>  2:дʧ<дǰֵΪ0xff>
//      :<addr>	ָдַʹFLASHڴ(0x7E80~0x7EFF)
//          		FLASHڴרоƬ\Еro䛅ʹá
//          		¼оƬʱʹô顣ҲʹڳFLASH
//          		ڴ(0x8000~0xffff)עõַ޴룬д޸ĳṹ
//     		 <data>	дFLASHϣΪ1BYTE
//		:addrַʼд볤Ϊ1BYTEָdata
//==============================================================================
unsigned char Flash_WriteByte(unsigned int addr,unsigned char data);



//==============================================================================
//ʽ  :FlashReadByte 
//شֵ    :unsigned char
//      :<addr>	FLASHȡĵַ
//      :ַָaddrȡϺش
//==============================================================================
unsigned char Flash_ReadByte(unsigned int addr);


//==============================================================================
//ʽ  :Flash_ReadSequence
//شֵ    :void
//      :<addr> FLASHȡʼַ
//           <data> ָ꣬ʽFLASHȡϣд
//           <length>ʽFLASHȡĳ(BYTE)
//      :addrַʼȡFLASHָlengthϣdata
//==============================================================================
void Flash_ReadSequence(unsigned int addr,unsigned char* data,unsigned int length);

//==============================================================================
//ʽ  :Flash_SectionErase 
//شֵ    :0:ɹ  1:ʧ 3:Чĵַ
//		:<addr> ʽַָaddrsection
//		:ַָaddr,ϵͳ˵ַԶжϡַָaddrsection(128 Bytes)
//     
//     		: addr =0x7e80 tsection:0x7e80~0x7eff 0x7e80  ϵͳ0x7e80~0x7eff  (128 Bytes)
//         		addr =0x7e99 tsection:0x7e80~0x7eff 0x7e99  ϵͳ0x7e80~0x7eff  (128 Bytes)
//         		addr =0x7eff tsection:0x7e80~0x7eff 0x7eff  ϵͳ0x7e80~0x7eff  (128 Bytes) 
//         		addr =0xf000 tsection:0xf000~0xf07f 0xf000  ϵͳ0xf000~0xf07f  (128 Bytes)
//         		addr =0xefff tsection:0xef80~0xefff 0xefff  ϵͳ0xef80~0xefff  (128 Bytes)
// 
//         section:0xXX00~0xXX7f , 0xXX80~0xXXff
// 
// 		   FLASHڴ:
//         		<section>0x7e80~0x7eff
//  	   FLASHڴ:
//         		<section>0x8000~0xc07f 
//         		<section>0x8080~0xc0ff 
//         		<section>0x8100~0xc17f 
//         		<section>0x8180~0xc1ff
//                         :
//                         :						  
//         		<section>0xff00~0xff7f 
//         		<section>0xff80~0xffff
//==============================================================================
unsigned char Flash_SectionErase(unsigned int addr);






#endif








