//******************************************
//  ƣ MQ6801_TC0_12Bit
//  汾     : V1.1 02/24/2021 MQ6801
//       TC00 TC01 12Bit PWM ʹú
//  ע    
//******************************************

#include "main.h"

//*********************************************************************
//    : T001_12bit_PWM_Init
//  : T001_12bit_PWM ʼʽ
// ע     :
//*********************************************************************
void T001_12bit_PWM_Init(void)
{
//====== ܽųʼ ======
    P7DR_P1 = 1;                        // ܽʼ P71ߵƽ ***hͬPWMĳʼֵ(T0xMOD_TFF)
    P7CR_P1 = 1;                        // P71_Oݔ

//====== ܿ( Enable) ======
    POFFCR0_TC001EN = 1;                // @_, PO

//====== 趨 ======
    T001CR_TCAS     = 1;                // x񌢃ɂ8λMӋrMʹ
    T01MOD_TFF      = 1;                // Oʼֵߜλռձ

    T01MOD_TCM      = 2;                // 趨Ϊ 12 λɱ PWM ģʽ
	T01MOD_EIN		= 0;				// 趨0,ʹڲʱԴʱ
	
    T01MOD_TCK      = 5;                // fcgck/4 =4M/4 =1MHz
                                        // ռձӋLڞ1us*256 = 256us
	T01MOD_DBE      = 1;                // ʹp
	
	// ***ʹ [T00PWM + T01PWM] ʱڼ̶Ϊ 256
	// PWMΪ: 1us*256 =256us
	// PWMƵΪ: 1/256us =	0.003906MHz=3.906KHz								
	//                            1MHz/256 =3.906KHz          								

    // 趨 [T00PWM + T01PWM] ռձ:
    T00PWM          = 0x04;             // Oռձȵĵ8λ
    T01PWM          = 0x04;             // Oռձȵĸ8λ
										// (0x404 / 16) / 256  = 0x404 / 4096 , ռձȞ0.25098=25.098% 

//	***PxFC ùţڳʼֵ趨֮ PxFC
    P7FC_P1         = 1;                // лP71Ϊ⹦ܽ,_OPWM 
										
    NOP;                                // ָ
}


//*********************************************************************
//    : T001_12bit_PWM_Start
//  : T001_12bit_PWM 
// ע     :
//*********************************************************************
void T001_12bit_PWM_Start(void)
{
    T001CR_T01RUN = 1;
}


//*********************************************************************
//    : T001_12bit_PWM_Stop
//  : T001_12bit_PWM ֹͣ
// ע     :
//*********************************************************************
void T001_12bit_PWM_Stop(void)
{
    T001CR_T01RUN = 0;
}


//*********************************************************************
//    : T001_12bit_PWM_IntEnable
//  : TC01 ж
// ע     : ִкῪж(IMF)
//*********************************************************************
void T001_12bit_PWM_IntEnable(void)
{
    DI;                                 // ֹпж // EIRL_IMF=0
    IL_INTTC01 = 0;                     // ж
    EI_INTTC01 = 1;                     // 趨ж
    EI;                                 // пж // EIRL_IMF=1
}

//*********************************************************************
//    : T001_12bit_PWM_IntDisable
//  : TC01 жϳ
// ע     : ִкῪж(IMF)
//*********************************************************************
void T001_12bit_PWM_IntDisable(void)
{
    DI;                                 // ֹпж // EIRL_IMF=0
    EI_INTTC01 = 0;                     // ж
    IL_INTTC01 = 0;                     // ж
    EI;                                 // пж // EIRL_IMF=1
}


//*********************************************************************
//    : T001_12bit_PWM_SetDuty
//  : Oռձ
// ע     :
//*********************************************************************
void T001_12bit_PWM_SetDuty(uint pwmDuty)
{
    pwmDuty &= 0xfff;                   // ֻ12λЧ
    T00PWM = pwmDuty&0xff;              // Oλ
    T01PWM = (pwmDuty&0xf00)>>8;        // Oλ
}

//*********************************************************************
//    : IntTC01
//  : TC01 жϸʽ
// ע     :
//*********************************************************************
void __interrupt IntTC01(void)
{
    NOP;                                // ָ
}


























