//******************************************
//  : main
// 汾     : V1.2 03/25/2021 MQ6801
//      : 
// ע     : TC00,TC01ρ12bit PWMݔ, PWMl3.906 KHz, ռձ0%99.976%
//          : ˷ MQ6801_NEW-SOP16 װ
//******************************************
#ifndef IO_MEM
#define IO_MEM
#endif

#include "main.h"


/* ----------------------  ------------------------ */

uint  pwmduty_0to4095;

/* ----------------------  -------------------------- */
void main(){
    /* ---------------------- ϵͳʼ ------------------------ */
    System_Init();    
    
    pwmduty_0to4095 = 0;

    /* ---------------------- ܳʼ ------------------- */
    T001_12bit_PWM_Init();
	//  TC00,TC01ρ12bit PWMݔ, PWMl3.906 KHz, ռձ0%99.976%
	//    1. OTC00, TC0112λPWM, PIO:
	//        a. T001CR<TCAS> = 1
	//        b. T01MOD<TCM1> = 2
	//        c. T01PWM<3:0>, T00PWM<7:4>, T00PWM<3:0> Ҟ12λPWMռձOλλ, ԔՈҎ
	//        d. TC00ĕҕoЧ, T00PWM
	//    2. Ӌݔr}xfcgck/4
	//    3. ɹ_TC00(P71)ݔ, ÿ10ms׃ռձ
	//    4. ռձ0%, 0.024%, 0.049,  99.976%

    //-----------------------------------
    T001_12bit_PWM_Start();
    //-----------------------------------


//  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
    
    while(1)
    {
        CLR_WDT;                        // Źʱ (ι)
        //ÿ10msfռձ
        if( pwmduty_0to4095 < 4095 ){   // ռձ 0/4096 ~ 4095/4096
            pwmduty_0to4095++;
            T001_12bit_PWM_SetDuty( pwmduty_0to4095 );
        }
        else{
            pwmduty_0to4095 = 0;
            T001_12bit_PWM_SetDuty( pwmduty_0to4095 );
        }
        Delay_Times(t_1ms, 10);
        NOP;                            // ָ
        NOP;                            // ָ
        NOP;                            // ָ
    }
//  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

}




/*---------------------- жϷ ------------------------*/
void __interrupt OnlyReti(void)
{
    NOP;                                // ָ
}

void __interrupt_n OnlyRetn(void)
{
    NOP;                                // ָ
}

void __interrupt_n IntWDT(void)
{
    NOP;                                // ָ
}

void __interrupt_n IntSWI(void)
{
   	//Add your interrupt handler code here
	unsigned char tmp; 
	tmp =*(unsigned char*)(0xf000);
	while(tmp != *(unsigned char*)(0xf000))
	{
		tmp =*(unsigned char*)(0xf000);
		
	}	
	SYSCR2=0x10;	//system clock reset
}

/* -------------------  жϷʽ ------------------ */

/* -------------------- MQ6801ж ------------------ */
//[ ж ] Ҫжид
//  1. ʹ֮߳жж֮OnlyRetiΪӦж
//  2. ӦڵַжƣֱӸ
//
//ʹⲿж2ӦжϱеOnlyRetiΪInt2
//      Int2,            /* 0xffda : Int2 */        //ⲿж2
#pragma section const INT_VECTOR1     
void * const IntTbl1[] = {  
    OnlyReti,			/* 0xffcc : IntTC03 */
    OnlyReti,			/* 0xffce : IntTC02 */
    OnlyReti,			/* 0xffd0 : IntTXD1 */
    OnlyReti,			/* 0xffd2 : IntRXD1 */
    OnlyReti,			/* 0xffd4 : Reserved */	
    OnlyReti,			/* 0xffd6 : Int4 */
    OnlyReti,			/* 0xffd8 : Int3 */
    OnlyReti,			/* 0xffda : Int2 */
    OnlyReti,			/* 0xffdc : Reserved */
    OnlyReti,			/* 0xffde : Reserved */
    OnlyReti,			/* 0xffe0 : Reserved */
    OnlyReti,			/* 0xffe2 : IntTCA0  */
    OnlyReti,			/* 0xffe4 : IntTC01 */
    OnlyReti,			/* 0xffe6 : IntTC00 */
    OnlyReti,			/* 0xffe8 : IntRTC */
    OnlyReti,			/* 0xffea : IntADC */
    OnlyReti,			/* 0xffec : IntVLTD */
    OnlyReti,			/* 0xffee : Reserved */
    OnlyReti,			/* 0xfff0 : Reserved */
    OnlyReti,			/* 0xfff2 : Reserved */
    OnlyReti,			/* 0xfff4 : IntTBT */
    OnlyReti,	    	/* 0xfff6 : IntWUC */
    IntWDT,				/* 0xfff8 : IntWDT */
    (void *)0xffff,		/* 0xfffa : Reserved */
    IntSWI,	   			/* 0xfffc : IntSWI/INTUNDEF */     
    STARTUP		    	/* 0xfffe : RESET */
};  
#pragma section const  			
/*-------------------  ж ------------------------*/






//*********************************************************************
//    : System_Init(void)
//  : IO, CGCR ʼ P10/P40/P41 ڷʱ֮趨
// ע     :
//*********************************************************************
void System_Init(void)
{

//=============================================================================
//  Set CGCR
//=============================================================================
//  ============================================
//  پƵãCGCR                                  fc   =  8MHz
//  ============================================
//  CGCR_FCGCKSEL = 0x00;           // (ϵͳ Clock) fcgck = fc/4 =  2Mhz(ϵͳĬ)
    CGCR_FCGCKSEL = 0x01;           // (ϵͳ Clock) fcgck = fc/2 =  4Mhz
//  CGCR_FCGCKSEL = 0x02;           // (ϵͳ Clock) fcgck = fc   =  8Mhz
//  CGCR_FCGCKSEL = 0x03;           // (ϵͳ Clock) fcgck = fc/8 =  1Mhz
//  ============================================
//  *** 벻Ҫڵģʽ(SLOW1/SLOW2) ı CGCR<FCGCKSEL> Ĵֵ
//  ============================================

#ifdef _DEBUG   //...  _DEBUG(ģʽ): ڷ ev board
//------------------------------------------------------------------
//  (ϵͳĬ): ʱP10趨ΪReset PinԱӰ漰¼.
    SET_P10_RESET_PIN;
	
//FSCTRL bit0 Ϊ0 ʹڲʱӣбλ(bit)ڷģʽֶʼΪĬֵ 0  
	FSCTRL =( FSCTRL & 0xFE) | ( ((*(unsigned char*)(0x7e04))<<2)&0xC0) | 0x00;   //_DEBUG(ģʽՈOΪ0)
//FSCTRL bit0 Ϊ1 ʹⲿʱ.
   //FSCTRL =( FSCTRL & 0xFE) | ( ((*(unsigned char*)(0x7e04))<<2)&0xC0) | 0x01;	
//------------------------------------------------------------------
#else           //...  һϵܳ(Ƿģʽ) P10(RESET) λΪһ IO 
//------------------------------------------------------------------
//-- P10趨ΪһIO ------
    SET_P10_IO_PIN;
//------------------------------------------------------------------
	
//------------------------------------------------------------------

#endif



//-- ʼ IO  (λ)------
#ifdef _DEBUG   //...  _DEBUG: ڷ ev board
//------------------------------------------------------------------
//   P10/P40/P41  Debug modeڷʱ趨Ϊ룬
//  ԱӰ漰¼.
    P1DR = 0x00;
    P1CR = set8bit(11111110);           //  P10 Ϊ
    P4DR = 0x00;
    P4CR = set8bit(11111100);           //  P40/P41 Ϊ
//------------------------------------------------------------------
#else           //...  һϵܳ(Ƿģʽ)
//------------------------------------------------------------------
    P1DR = 0x00;
    P1CR = 0x01;
    P4DR = 0x00;				
    P4CR = 0x2f;                        //P45 Set UnPad pins output LOW
//------------------------------------------------------------------
#endif

//-- ʼ IO  ------
    P0DR = 0x00;
    P0CR = set8bit(11111100);
    P1DR = 0x00;
    P1CR = 0x01;
//  P2DR = 0x00;
//  P2CR = 0xff;
    P4DR = 0x00;
    P4CR = 0xff;    
    P7DR = 0x00;                        //P72, P74 Set UnPad pins output LOW
    P7CR = 0xf7;
    P8DR = 0x00;                        //P81 Set UnPad pins output LOW
    P8CR = 0x03;
    P9DR = 0x00;
    P9CR = 0x03;
    CLR_WDT;                            // Źʱ (ι)

}


//*********************************************************************
//    :
//  : ʱ
// ע     : ==> t_1ms   = 0;          // ӳʱ䵥λ ms
//          : ==> t_100us = 1;          // ӳʱ䵥λ usϴ
//          : ɹ̶Ȧʱһʱ䣬ʹ÷£
//          : Delay_Times(t_1ms, 800);  // ӳ 800ms
//*********************************************************************
void Delay_Times(uchar tBase, uint x)
{
    uint  i, cgcrT;

    uchar cgcrF[4]={ 2, 4,  8, 1 };     // پƵΪ  8MHz ʱʹô
//  uchar cgcrF[4]={ 4, 8, 16, 2 };     // پƵΪ 16MHz ʱʹô

//  ϵͳڸʱ(ͨ1ͨ2ģʽ) ʱ
    if( SYSCR2_SYSCK == 0 )
    {
        cgcrT = cgcrF[CGCR_FCGCKSEL];   // 0:fc/4, 1:fc/2, 2:fc/1, 3:fc/8
        switch(tBase)
        {
            case 0:                     // t_1ms
                cgcrT *= 110;
                for(; x>0; x--)
                    for(i=0; i<cgcrT; i++){}
            break;
            case 1:                     // t_100us
                cgcrT *= 11;
                for(; x>0; x--)
                    for(i=0; i<cgcrT; i++){}
            break;
        }
    }
//  ϵͳڵʱ(12ģʽ) ʱϴ󣬲οʹã
    else for(; x>0; x--){}

    CLR_WDT;                            // Źʱ (ι)
}









