//******************************************
//  : MQ6801_8BIT_TC0x.c
// 汾     : V1.1 02/24/2021 MQ6801
//      : TC01ʹú
// ע     :
//******************************************

#include "main.h"




//*********************************************************************
//    : TC01_Timer_Init
//  : TC01 8λrģʽr100us
// ע     :
//*********************************************************************
void TC01_Timer_Init(void)
{
//====== ܿ( Enable) ======
    POFFCR0_TC001EN = 1;                // ȿݴò

//====== 趨 ======
    T01MOD_TCM      = 0;                // 趨Ϊ 8 λʱģʽ
    T01MOD_TCK      = 5;                // fcgck/4 = 1MHz = 1us
    T01MOD_DBE      = 1;                // ʹ˫
    
    T01REG          = 100;              // 趨ֵ: ÿ 100 * 1us жһ (ֵ=T00REG*T00MOD_TCK)
}


//*********************************************************************
//    : TC01_PPG_Init
//  : TC01 8λPPGģʽL100usռձ50%
// ע     :
//*********************************************************************
void TC01_PPG_Init(void)
{
//====== ܽųʼ ======
    P7DR_P1         = 1;                // ܽʼ P71ߵƽ  **ͬ PPG ĳʼֵ(T0xMOD_TFF)
    P7CR_P1         = 1;                // P71ܽ趨Ϊ

//====== ܿ( Enable) ======
    POFFCR0_TC001EN = 1;                // ȿݴò

//====== 趨 ======
    T01MOD_TFF      = 1;                // 趨ʼֵΪ"׼λ"ռձ

    T01MOD_TCM      = 3;                // 趨Ϊ 8 λɱ PPG ģʽ
    T01MOD_TCK      = 5;                // fcgck/4 = 1MHz = 1us
    T01MOD_DBE      = 1;                // ʹ˫

    T01REG          = 100;              // 趨 PPG  = 100us   (PPG=T00REG*T00MOD_TCK)
    T01PWM          = 50;               // 趨 PPG ռձ = 50/100 = 50%
	
//	***PxFC ùţڳʼֵ趨֮ PxFC
    P7FC_P1         = 1;                // лP71Ϊ⹦ܽ,ܽ趨Ϊ PPG 	
}


//*********************************************************************
//    : TC01_PWM_Init
//  : TC01 8λPWMģʽL128usռձ50%
// ע     :
//*********************************************************************
void TC01_PWM_Init(void)
{
//====== ܽųʼ ======
    P7DR_P1         = 1;                // P71ܽʼͬ PWM ĳʼֵ(T0xMOD_TFF)
    P7CR_P1         = 1;                // P71ܽ趨Ϊ

//====== ܿ( Enable) ======
    POFFCR0_TC001EN = 1;                // ȿݴò

//====== 趨 ======
    T01MOD_TFF      = 1;                // 趨ʼֵΪ"׼λ"ռձ

    T01MOD_TCM      = 2;                // 趨Ϊ 8 λɱ PWM ģʽ
    T01MOD_TCK      = 5;                // fcgck/4 = 1MHz = 1us
    T01MOD_DBE      = 1;                // ʹ˫

// ***ʹ PWM ʱڼ̶Ϊ128 T00REG 趨
//  128 * 1us = 128us
    T01PWM          = 128;              // 趨 PWM ռձ = (128/2)/128 = 50%
	
//	***PxFC ùţڳʼֵ趨֮ PxFC
    P7FC_P1         = 1;                // лP71Ϊ⹦ܽ,ܽ趨Ϊ PWM 
}


//*********************************************************************
//    : TC01_SetDuty
//  : }ֵ
// ע     : ռձ : T01PWM/T01REG      (8λPPGģʽ)
//                   : (T01PWM/2) / 128   (8λPWMģʽ)
//*********************************************************************
void TC01_SetDuty(uchar duty)
{
    T01PWM          = duty;
}

//*********************************************************************
//    : TC01_SetPeriod
//  : Lڼֵ
// ע     : 
//*********************************************************************
void TC01_SetPeriod(uchar period)
{
    T01REG          = period;
}

//*********************************************************************
//    : TC01_Start
//  : TC01
// ע     :
//*********************************************************************
void TC01_Start(void)
{
    T001CR_T01RUN   = 1;                // ʱTimmer01
}


//*********************************************************************
//    : TC01_Stop
//  : ֹͣTC01
// ע     :
//*********************************************************************
void TC01_Stop(void)
{
    T001CR_T01RUN   = 0;                // ֹͣʱTimmer01
}


//*********************************************************************
//    : TC01_IntEnable
//  : TC01ж
// ע     : ִкῪж(IMF)
//*********************************************************************
void TC01_IntEnable(void)
{
    DI;                                 // ֹпж // EIRL_IMF=0
    IL_INTTC01      = 0;                // ж
    EI_INTTC01      = 1;                // 趨ж
    EI;                                 // пж // EIRL_IMF=1
}




//*********************************************************************
//    : TC01_IntDisable
//  : ֹTC01ж
// ע     : ִкῪж(IMF)
//*********************************************************************
void TC01_IntDisable(void)
{
    DI;                                 // ֹпж // EIRL_IMF=0
    IL_INTTC01      = 0;                // ж
    EI_INTTC01      = 0;                // ж
    EI;                                 // пж // EIRL_IMF=1
}




//*********************************************************************
//    : IntTC01
//  : жϸʽ
// ע     :
//*********************************************************************
void __interrupt IntTC01(void)
{
    P9DR_P0 = !P9DR_P0;					// 趨P90
    NOP;                                // ָ
}





